
#sub-navbar {
  display: flex;
  flex-wrap: nowrap;
  flex-direction: row;
  justify-content: left;
  position: sticky; 
  top: 0;
  width: 100%;
  background-color: #8BC53F;
  height: 3.5vw;
  z-index: 3;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

#sub-navbar ul {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  list-style: none;
  gap: 5vw;
  width: 100%;
  margin: 0;
  height: 3.5vw;
  margin-left: -1.5vw;
}

#sub-navbar ul.sub-navbar-nl {
  gap: 3.5vw;
}

#sub-navbar a {
  color: inherit;
  text-decoration: none;
}
 

#sub-navbar li.dropdown.woody-feat-nl {
  width: 12.4vw !important;
}

#sub-navbar li.dropdown.woody-feat {
  width: 10.5vw;
}

#sub-navbar li.dropdown.grassy-feat {
  width: 10.6vw;
}

#sub-navbar li.dropdown.grassy-feat-nl {
  width: 13vw !important;
}

#sub-navbar li.dropdown.wet-feat {
  width: 8.7vw;
}

#sub-navbar li.dropdown.wet-feat-nl {
  width: 11vw !important;
}

#sub-navbar li.dropdown.stony-feat {
  width: 9.9vw;
}

#sub-navbar li.dropdown.stony-feat-nl {
  width: 12.3vw !important;
}

#sub-navbar li.dropdown.other-feat {
  width: 9.9vw;
}

#sub-navbar li.dropdown.other-feat-nl {
  width: 12vw !important;
}

/* Underline styles */
#sub-navbar a.nav {
  font-family: Verdana,sans-serif; 
  font-size: 1vw;
  line-height: 1.2vw;
  letter-spacing: 0.1vw;
  font-weight: bold;
  color: white;
  display: block;
  position: relative;
  margin-top: 1.15vw;
  padding-bottom: 0.3vw;
}
  
  /* Fade in */
#sub-navbar a.nav::after {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 0.1vw;
  background-color: white;
  opacity: 0;
  transition: opacity 300ms, transform 300ms;
}
  
#sub-navbar a:hover::after, a:focus::after {
  opacity: 1;
  transform: translate3d(0, 0, 0);
}
  
#grassf-dd, #woodf-dd, #wetf-dd, #stonef-dd, #otherf-dd {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  padding: 0 1.5vw;
  width: max-content;
  margin: 0.85vw -1.75vw 0vw -1.75vw;
  height: 50vw;
  max-height: 0; 
  overflow: hidden;
  background-color: #5f8b24;
  text-align: left;
  transition: max-height 0.5s ease 100ms;
}

#grassf-dd a, #woodf-dd a, #wetf-dd a, #stonef-dd a, #otherf-dd a {
  font-family: Verdana,sans-serif; 
  font-size: 1vw;
  text-decoration: none;
  color: white;
  letter-spacing: 0.15vw;
  font-weight: 500;
  margin-top: 0.5vw;
  margin-bottom: 0.25vw;
  display: block;
  opacity: 0;
  transition: color 0.3s ease-in 200ms, opacity 0.2s ease-out 0ms;
}
  
#grassf-dd .first-dd , #woodf-dd .first-dd , #wetf-dd .first-dd , #stonef-dd .first-dd , #otherf-dd .first-dd {
  margin-top: 1vw;
}

.dropdown:hover #woodf-dd {
  max-height: 23vw;
}

.dropdown:hover #grassf-dd {
  max-height: 13.2vw;
}

.dropdown:hover #wetf-dd {
  max-height: 8.3vw;
}

.dropdown:hover #stonef-dd {
  max-height: 8.3vw;
}

.dropdown:hover #otherf-dd {
  max-height: 15.8vw;
}

.dropdown:hover #woodf-dd a, .dropdown:hover #grassf-dd a, .dropdown:hover #wetf-dd a, .dropdown:hover #stonef-dd a, .dropdown:hover #otherf-dd a {
  opacity: 1;
  color: white;
}

/* Underline styles */
#woodf-dd a, #grassf-dd a, #wetf-dd a, #stonef-dd a, #otherf-dd a {
  display: block;
  position: relative;
  padding-bottom: 0.2vw;
}

  
/* Fade in */
#grassf-dd a::after, #woodf-dd a::after, #wetf-dd a::after, #stonef-dd a::after, #otherf-dd a::after {
  content: '';
  position: absolute;
  bottom: 0.1vw;
  left: -0.1vw;
  width: 100%;
  height: 0.05vw;
  background-color: white;
  opacity: 0;
  transition: opacity 300ms, transform 300ms;
}

#woodf-dd a:hover::after, #woodf-dd a:focus::after,
#wetf-dd a:hover::after, #wetf-dd a:focus::after,
#grassf-dd a:hover::after, #grassf-dd a:focus::after, 
#stonef-dd a:hover::after, #stonef-dd a:focus::after,
#otherf-dd a:hover::after, #otherf-dd a:focus::after {
  opacity: 1;
  transform: translate3d(0, 0, 0);
}

/* Slide in */
#woodf-dd a, #wetf-dd a, #grassf-dd a, #stonef-dd a, #otherf-dd a {
  overflow: hidden;
}

#woodf-dd a::after, #wetf-dd a::after, #grassf-dd a::after, #stonef-dd a::after, #otherf-dd a::after {
  opacity: 1;
  transform: translate3d(-100%, 0, 0);
}

#woodf-dd a:hover::after, #woodf-dd a:focus::after,
#wetf-dd a:hover::after, #wetf-dd a:focus::after,
#grassf-dd a:hover::after, #grassf-dd a:focus::after,
#stonef-dd a:hover::after, #stonef-dd a:focus::after,
#otherf-dd a:hover::after, #otherf-dd a:focus::after {
  transform: translate3d(0, 0, 0);
}

.dd-st, .dd-mt, .dd-pt, .dd-tr, .dd-tl, .dd-fo, .dd-wh, .dd-th, .dd-ws, .dd-fs, .dd-fw, .dd-mg, .dd-hg, 
.dd-bs, .dd-fb, .dd-po, .dd-em, .dd-di, .dd-sw, .dd-te, .dd-ss, .dd-pwp, .dd-cc, .dd-bh, .dd-bb, .dd-ih, .dd-ns {
    width: max-content;
}

.biodiversity-intro {
  background-image: url(image/equine-landscape3.png);
  background-size: 100%;
  background-repeat: no-repeat;
  height: 45vw;
  display: flex;
}

.bio-intro-contents {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  width: 55vw;
  height: 35vw;
  margin: 5vw 0 5vw 5vw;
  background-color: white;
  border: 3vw solid white;
  border-radius: 3vw 0 3vw 0;
  padding-right: 3vw;
  overflow-y: scroll;
  font-family: Verdana,sans-serif; 
}

.bio-intro-contents p, .bio-intro-contents ul {
  font-size: 1.2vw;
  margin: 0 0 1vw 0;
}

.bio-intro-contents h3 {
  font-size: 1.8vw;
  margin: 0 0 1.5vw 0;
  color: #2B388F;
  font-weight: bold;
}

/*hides all pictue promts for now*/
[class$="-picture"] {
  display: none;
}

.bio-intro-contents h4 {
  font-size: 1.5vw;
  margin: 0.5vw 0;
  font-weight: bold;
}

.bio-consent-form {
  margin: 0.5vw auto 0 auto;
  font-size: 1.3vw;
}

#bio-consent-no {
  margin-left: 2vw;
}

.bio-intro-contents::-webkit-scrollbar {
  width: 0.75vw;
}

.bio-intro-contents::-webkit-scrollbar-thumb {
  background: rgba(0, 0, 0, 0.5);
  background-clip: content-box;
  border-radius: 5vw;
}

.accordion {
  font-family: Verdana,sans-serif;
}

.accordion .description {
  display: flex;
  font-size: 1.2vw;
  flex-direction: row;
  flex-wrap: nowrap;
  overflow: hidden;
  display: none;
  /*margin: 2.5vw 5vw;*/
}

.lf-info {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
}

.lf-img {
  margin: 0;
  width: 24vw;
  height: 16vw;
}

.lf-text {
  width: 76vw;
  font-size: 1.2vw;
  padding: 2.5vw;
}

.accordion .title {
  background-color: #8BC53F;
  color: white;
  cursor: pointer;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  padding: 3vw;
  gap: 1vw;
}


.accordion .small-lfs {
  padding: 1.5vw 3vw;
}

.accordion .title h2 {
  font-weight: bold;
  margin: 0 0 0 2.5vw;
  font-size: 2vw;
}

.accordion .title h2:after {
    background-image: url("icon/question_icon.png");
    background-size: 1.8vw 1.8vw;
    display: inline-block;
    width: 1.8vw; 
    height: 1.8vw;
	margin-left: 1vw;
    content:"";
  }

.accordion .title h3 {
  font-weight: bold;
  margin: 0 0 0 7.5vw;
  font-size: 1.5vw;
}

.accordion .title h3:after {
    background-image: url("icon/question_icon.png");
    background-size: 1.5vw 1.5vw;
    display: inline-block;
    width: 1.5vw; 
    height: 1.5vw;
	margin-left: 1vw;
    content:"";
  }

.accordion .title:hover {
  background-color: #5f8b24;
}

.accordion .title.active {
  background-color: #5f8b24; /* Add your desired background color here */
}

.arrow-icon {
  width: 1.6vw;
  height: 1.6vw;
  transition: transform 0.3s ease;
  margin-top: 0.4vw;
}

.small-arrow {
  width: 1.1vw;
  height: 1.1vw;
}

.accordion .title.expanded .arrow-icon {
  transform: rotate(90deg);
}

#biodiversity-survey, #biodiversity-survey input, #biodiversity-survey button {
  font-family: Verdana,sans-serif;
}


.questions {
  width: 70vw;
  margin: 2vw 15vw;
  font-size: 1.3vw !important;
}

input {
  font-size: 1.3vw !important;
}

.hidden {
  display: none;
}

.checkbox-grid {
  display: grid;
  grid-template-columns: auto 1fr; /* Adjust column width as needed */
  grid-gap: 0.5vw 3vw; /* Adjust gap between items */
}

.checkbox-grid label {
  white-space: nowrap; /* Prevent label from wrapping */
}

.checkbox-grid input[type="checkbox"],
.checkbox-grid label {
  margin: 0.25vw;
}

sup {
  vertical-align: super;
}

.other-inputs {
  display: flex;
  flex-direction: row;
  gap: 1vw;
}

.space-top {
  margin-top: 0.5vw;
}

.minus-space-top {
  margin-top: -0.25vw;
}

input[type="radio"] {
  margin-bottom: 0.25vw;
}

label {
  margin-bottom: 0.5vw;
}

.input-fields {
  font-size: 1.3vw !important;
  height: 3.6vw !important;
}

.biodiversity-submit-buttons {
  display: flex;
  flex-direction: row;
  gap: 2.5vw;
  width: 100%;
  height: 15vw;
  justify-content: center;
  background-color: #8BC53F;
}

div.biodiversity-submit-buttons input {
  font-size: 1.8vw;
  width: 15vw;
  height: 5vw;
  margin: 5vw 0;
  background-color: white;
  border: solid 0.25vw #5f8b24;
  border-radius: 1.5vw 0vw;
  color: #5f8b24;
  font-weight: bold;
  transition: background-color ease 0.3s, color ease 0.3s;
}

div.biodiversity-submit-buttons input:hover {
  background-color: #5f8b24;
  color: white;
}

/* Popup container */
.popup {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 9999; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.4); /* Semi-transparent background */
  display: flex; /* Use flexbox for centering */
  justify-content: center; /* Center horizontally */
  align-items: center; /* Center vertically */
}

/* Popup content */
.popup-content {
  height: 10vw;
  width: 30vw;
  position: relative;
  background-color: #fefefe;
  border-radius: 0.5vw;
  box-shadow: 0 0.25vw 0.75vw 0 rgba(0, 0, 0, 0.2);
  text-align: center;
  margin: none;
  font-family: Verdana,sans-serif;
  font-size: 1.3vw;
}

.popup-content p {
  padding: 2.2vw;
}

/* Close button */
.popup-content .close {
  color: #aaaaaa;
  position: absolute;
  top: 0.5vw;
  right: 1vw;
  font-size: 24px;
  font-weight: bold;
}

.popup-content .close:hover,
.popup-content .close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

.mobile-image {
  display: none;
}

.width-50 {
  width: 50% !important;
}

.width-25 {
  width: 25% !important;
}

@media screen and (max-width: 768px) {
  #sub-navbar {
    display: none;
  }

  .biodiversity-intro {
    background-image: url(image/equine-landscape3-mobile.png);
    background-size: 100%;
    background-repeat: no-repeat;
    height: 75vw;
    display: flex;
  }
  
  .bio-intro-contents {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    width: 60vw;
    height: 65vw;
    margin: 5vw 0 5vw 5vw;
    background-color: white;
    border: 3vw solid white;
    border-radius: 3vw 0 3vw 0;
    padding-right: 3vw;
    overflow-y: scroll;
    font-family: Verdana,sans-serif; 
  }
  
  .bio-intro-contents p, .bio-intro-contents ul {
    font-size: 2.7vw;
    margin: 0 0 1vw 0;
  }
  
  .bio-intro-contents h3 {
    font-size: 3.5vw;
    margin: 0 0 1.5vw 0;
    color: #2B388F;
    font-weight: bold;
  }
  
  .bio-intro-contents h4 {
    font-size: 3.1vw;
    margin: 0.5vw 0;
    font-weight: bold;
  }
  
  .bio-consent-form {
    margin: 2.5vw auto 0 auto;
    font-size: 2.7vw;
  }
  
  .form-check-input {
    width: 3vw !important;
    height: 3vw !important;
    margin-top: 0.5vw !important;
    margin-right: 0.5vw !important;
  }

  #bio-consent-no {
    margin-left: 2vw;
  }
  
  .bio-intro-contents::-webkit-scrollbar {
    width: 1.25vw;
  }
  
  .bio-intro-contents::-webkit-scrollbar-thumb {
    background: rgba(0, 0, 0, 0.5);
    background-clip: content-box;
    border-radius: 5vw;
  }
  
  .accordion {
    font-family: Verdana,sans-serif;
  }
  
  .accordion .description {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    overflow: hidden;
    display: none;
    margin: 0;
    padding: 5vw 10vw;
    font-size: 2.7vw;
  }

  .description p {
    margin: 0;
  }
  
  .lf-info {
    width: 100%;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
  }
  
  .lf-img {
    margin: 0;
    width: 100%;
    height: max-content;
  }
  
  .lf-text {
    width: 100%;
    font-size: 2.7vw;
    padding: 0;
    padding-top: 2.5vw;
  }
	
.accordion .title h2:after {
    background-image: url("icon/question_icon.png");
    background-size: 4vw 4vw;
    display: inline-block;
    width: 4vw; 
    height: 4vw;
	margin-left: 2vw;
    content:"";
  }
  
  .accordion .title {
    background-color: #8BC53F;
    color: white;
    cursor: pointer;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    padding: 5vw 0;
    gap: 1vw;
  }
  
  .accordion .small-lfs {
    padding: 3vw 0;
  }
  
  .accordion .title h2 {
    font-weight: bold;
    margin: 0 0 0 10vw;
    font-size: 3.9vw;
  }
  
  .accordion .title h3 {
    font-weight: bold;
    margin: 0 0 0 10vw;
    font-size: 3.5vw;
  }
	
	.accordion .title h3:after {
    background-image: url("icon/question_icon.png");
    background-size: 3.5vw 3.5vw;
    display: inline-block;
    width: 3.5vw; 
    height: 3.5vw;
	margin-left: 2vw;
    content:"";
  }
  
  .arrow-icon {
    width: 3.5vw;
    height: 3.5vw;
    transition: transform 0.3s ease;
    margin-top: 0.75vw;
    margin-left: 1vw;
  }
  
  .small-arrow {
    width: 2.7vw;
    height: 2.7vw;
  }
  
  .questions {
    width: 100vw;
    margin: 0;
    padding: 2.5vw 10vw;
    font-size: 2.7vw !important;
  }

  #demographics {
    margin: 5vw 0;
  }
  
  input {
    font-size: 2.7vw !important;
  }

  .width-50 {
    width: 100% !important;
  }
  
  .width-25 {
    width: 100% !important;
  }
  
  .hidden {
    display: none;
  }

  .input-group, .input-fields, .form-control {
    margin-top: 1.5vw;
  }
  
  .checkbox-grid {
    display: grid;
    grid-template-columns: auto 1fr; /* Adjust column width as needed */
    grid-gap: 0.5vw 3vw; /* Adjust gap between items */
  }
  
  .checkbox-grid label {
    white-space: nowrap; /* Prevent label from wrapping */
  }
  
  .checkbox-grid input[type="checkbox"],
  .checkbox-grid label {
    margin: 0.25vw;
  }
  
  sup {
    vertical-align: super;
  }
  
  .other-inputs {
    display: flex;
    flex-direction: row;
    gap: 1vw;
  }

  .space-top {
    margin-top: 1vw;
  }
  
  .minus-space-top {
    margin-top: -0.5vw;
  }
  
  input[type="radio"] {
    margin-bottom: 0.5vw;
  }
  
  label {
    margin-bottom: 0.5vw;
    display:unset !important;
  }
  
  .input-fields {
    font-size: 2.7vw !important;
    height: 6.5vw !important;
  }

  .biodiversity-submit-buttons {
    display: flex;
    flex-direction: row;
    gap: 2.5vw;
    width: 100%;
    height: 20vw;
    justify-content: center;
    background-color: #8BC53F;
  }
  
  div.biodiversity-submit-buttons input {
    font-size: 3.5vw !important;
    width: 25vw;
    height: 10vw;
    margin: 5vw 0;
    background-color: white;
    border: solid 0.5vw #5f8b24;
    border-radius: 3vw 0vw;
    color: #5f8b24;
    font-weight: bold;
    transition: background-color ease 0.3s, color ease 0.3s;
  }
  
  div.biodiversity-submit-buttons input:hover {
    background-color: #5f8b24;
    color: white;
  }
  

}